<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;SDWebImagePrefetcherDelegate&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_s_d_web_image_prefetcher_delegate-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;SDWebImagePrefetcherDelegate&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for &lt;SDWebImagePrefetcherDelegate&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_s_d_web_image_prefetcher_delegate-p.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:ae447f20deb389a1642f28bd2158c25de"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_s_d_web_image_prefetcher_delegate-p.html#ae447f20deb389a1642f28bd2158c25de">imagePrefetcher:didPrefetchURL:finishedCount:totalCount:</a></td></tr>
<tr class="separator:ae447f20deb389a1642f28bd2158c25de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49e308416f2598edaf3b08327197b6fe"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_s_d_web_image_prefetcher_delegate-p.html#a49e308416f2598edaf3b08327197b6fe">imagePrefetcher:didFinishWithTotalCount:skippedCount:</a></td></tr>
<tr class="separator:a49e308416f2598edaf3b08327197b6fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a49e308416f2598edaf3b08327197b6fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49e308416f2598edaf3b08327197b6fe">&#9670;&nbsp;</a></span>imagePrefetcher:didFinishWithTotalCount:skippedCount:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) imagePrefetcher: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_s_d_web_image_prefetcher.html">SDWebImagePrefetcher</a> *)&#160;</td>
          <td class="paramname"><em>imagePrefetcher</em></td>
        </tr>
        <tr>
          <td class="paramkey">didFinishWithTotalCount:</td>
          <td></td>
          <td class="paramtype">(NSUInteger)&#160;</td>
          <td class="paramname"><em>totalCount</em></td>
        </tr>
        <tr>
          <td class="paramkey">skippedCount:</td>
          <td></td>
          <td class="paramtype">(NSUInteger)&#160;</td>
          <td class="paramname"><em>skippedCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when all images are prefetched. Which means it's called when all URLs from all of prefetching finished. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">imagePrefetcher</td><td>The current image prefetcher </td></tr>
    <tr><td class="paramname">totalCount</td><td>The total number of images that were prefetched (whether successful or not) </td></tr>
    <tr><td class="paramname">skippedCount</td><td>The total number of images that were skipped </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae447f20deb389a1642f28bd2158c25de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae447f20deb389a1642f28bd2158c25de">&#9670;&nbsp;</a></span>imagePrefetcher:didPrefetchURL:finishedCount:totalCount:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) imagePrefetcher: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_s_d_web_image_prefetcher.html">SDWebImagePrefetcher</a> *)&#160;</td>
          <td class="paramname"><em>imagePrefetcher</em></td>
        </tr>
        <tr>
          <td class="paramkey">didPrefetchURL:</td>
          <td></td>
          <td class="paramtype">(nullable NSURL *)&#160;</td>
          <td class="paramname"><em>imageURL</em></td>
        </tr>
        <tr>
          <td class="paramkey">finishedCount:</td>
          <td></td>
          <td class="paramtype">(NSUInteger)&#160;</td>
          <td class="paramname"><em>finishedCount</em></td>
        </tr>
        <tr>
          <td class="paramkey">totalCount:</td>
          <td></td>
          <td class="paramtype">(NSUInteger)&#160;</td>
          <td class="paramname"><em>totalCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when an image was prefetched. Which means it's called when one URL from any of prefetching finished.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">imagePrefetcher</td><td>The current image prefetcher </td></tr>
    <tr><td class="paramname">imageURL</td><td>The image url that was prefetched </td></tr>
    <tr><td class="paramname">finishedCount</td><td>The total number of images that were prefetched (successful or not) </td></tr>
    <tr><td class="paramname">totalCount</td><td>The total number of images that were to be prefetched </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_s_d_web_image_prefetcher_8h_source.html">SDWebImagePrefetcher.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
